Page MenuHomePhabricator

Remove HHVM support from Quibble
Closed, ResolvedPublic

Description

Wikimedia no more uses HHVM in production and its support is being removed from MediaWiki as well as from CI. We should cleanup Quibble as well.

Related Objects

StatusSubtypeAssignedTask
OpenJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedMaxSem
ResolvedNone
ResolvedReedy
ResolvedDaimona
ResolvedDaimona
Resolvedaaron
ResolvedMaxSem
ResolvedReedy
ResolvedDaimona
OpenNone
ResolvedReedy
ResolvedJdforrester-WMF
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
Resolvedjijiki
Resolvedjijiki
Resolvedawight

Event Timeline

hashar triaged this task as Medium priority.Oct 21 2019, 9:03 AM
hashar created this task.

Change 545968 had a related patch set uploaded (by Hashar; owner: Awight):
[integration/quibble@master] Drop HHVM support

https://gerrit.wikimedia.org/r/545968

hashar assigned this task to awight.Nov 4 2019, 10:47 AM

Change 545968 merged by jenkins-bot:
[integration/quibble@master] Drop HHVM support

https://gerrit.wikimedia.org/r/545968

awight moved this task from Backlog to Pending release on the Quibble board.Nov 4 2019, 3:16 PM
MaxSem added a subscriber: MaxSem.Nov 11 2019, 5:47 AM

With the above patch merged, anything else left?

With the above patch merged, anything else left?

@awight, @hashar: Do you know?

awight closed this task as Resolved.Nov 27 2019, 10:15 PM

Quibble is and CI docker images are fully patched. Thank you to everyone helping slay the dragon!